
using NeonTea.Quakeball.TeaNet.Packets;

namespace NeonTea.Quakeball.Networking.Packets {
    public class HitPckt : Packet {

        public ulong Target;

        public HitPckt() { }
        public HitPckt(ulong id) { Target = id; }

        public override void Read(ByteBuffer buffer) {
            Target = buffer.ReadULong();
        }

        public override void Write(ByteBuffer buffer) {
            buffer.Write(Target);
        }
    }
}